from django_filters.rest_framework import CharFilter, FilterSet
from .models import UniqueVote


class UniqueVoteFilter(FilterSet):
    unique_vote_bulletin = CharFilter(lookup_expr='startswith',
                                      name="unique_vote_bulletin")

    class Meta:
        model = UniqueVote
        fields = ['unique_vote_bulletin']
